<?php include 'header.php'; ?>

<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<div class="container pt-5">
    <h3>Edit Ride</h3>
</div>

<form method="post" action="<?php echo base_url('Main/edit_appointment_ride') ?>" class="container">
    <input type="hidden" name="id" value="<?php echo $edit_data->id; ?>">

    <div class="form-group row">
        <label for="hotelSelect" class="col-sm-2 col-form-label"><strong>♖ Hotel</strong></label>
        <div class="col-sm-10">
            <select class="form-control select2" id="hotelSelect" name="hotel_id">
                <?php
                $CI =& get_instance();
                $data1 = $CI->db->select('*')->where('id', $edit_data->hotel_id)->get('hotel')->row();
                ?>
                <option value='<?php echo $data1->id; ?>' selected><?php echo $data1->hotel_name; ?></option>

                <?php if ($this->session->userdata('admin') == '0') { ?>
                    <?php foreach ($hotel as $key) { ?>
                        <option value="<?php echo $key->id; ?>"><?php echo $key->hotel_name; ?></option>
                    <?php } ?>
                <?php } ?>
                <?php if ($this->session->userdata('admin') == '1') { ?>
                    <?php foreach ($hotelbyuser as $key) { ?>
                        <option value="<?php echo $key->id; ?>"><?php echo $key->hotel_name; ?></option>
                    <?php } ?>
                <?php } ?>
            </select>
        </div>
    </div>

    <div class="form-group row">
        <label for="destinationSelect" class="col-sm-2 col-form-label"><strong>⚐ Destination</strong></label>
        <div class="col-sm-10">
            <select class="form-control select2" id="destinationSelect" name="destiny_id">
                <?php
                $data2 = $CI->db->select('*')->where('id', $edit_data->dest_id)->get('destination')->row();
                ?>
                <option value='<?php echo $data2->id; ?>' selected><?php echo $data2->destiny; ?></option>
                <?php foreach ($destiny as $key1) { ?>
                    <option value="<?php echo $key1->id; ?>"><?php echo $key1->destiny; ?></option>
                <?php } ?>
            </select>
        </div>
    </div>

    <div class="form-group row">
        <label for="driverSelect" class="col-sm-2 col-form-label"><strong>⚇ Driver Sort by ID</strong></label>
        <div class="col-sm-10">
            <select class="form-control select2" id="driverSelect" name="driver_id">
                <?php
                $data3 = $CI->db->select('*')->where('id', $edit_data->driver_id)->get('driver')->row();
                ?>
                <option value='<?php echo $data3->id; ?>' selected><?php echo $data3->drive_name; ?></option>
                <?php foreach ($driver as $key2) { ?>
                    <option value="<?php echo $key2->id; ?>"><?php echo $key2->drive_name; ?></option>
                <?php } ?>
            </select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-10 offset-sm-2">
            <button type="submit" class="btn btn-primary">Update Ride</button>
            <a class="btn btn-danger ml-2" href="<?php echo base_url(); ?>Main/delete_appoitment/<?php echo $edit_data->id; ?>" onclick="return confirm('Are you sure you want to delete this ride?');">Delete</a>
        </div>
    </div>
</form>

<script>
    $(document).ready(function() {
        $('.select2').select2({
            width: '100%'
        });
    });
</script>

<style>
    
    .select2-container--default .select2-results>.select2-results__options {
    max-height: 50vh !important;
    }
</style>
