<?php
include 'header.php';
?>
<?php
$ajax_url = base_url('Main/add_month_payment_ajax');
$ajax_urlUn = base_url('Main/add_month_unpayment_ajax');
$group_id = $this->session->userdata("group_id");
$CI = & get_instance();

if (isset($_GET['indate'])) {
  $date = $_GET['indate'];
  $year12 = date('Y', strtotime($date));
  $month12 = date('F', strtotime($date));
} else {
  $date = date('Y-m-d');
  $year12 = date('Y', strtotime($date));
  $month12 = date('F', strtotime($date));
}
$fdate = $year12 . '-' . date('m', strtotime($month12)) . '-01';
$Edate = $year12 . '-' . date('m', strtotime($month12)) . '-31';
?>
<style>
body {
    font-size:14px !important;
}
.btn-primary {
    color: #fff !important;
    background-color: #337ab7 !important;
    border-color: #2e6da4 !important;
}
table th, .table td {
    text-align: center;
    vertical-align: middle;
}
.modal-header {
    background-color: #343a40;
    color: #fff;
}
.modal-footer {
    background-color: #343a40;
}
.total-row td {
    font-weight: bold;
}
.footHead {
    display: flex;
    margin-bottom: 20px;
    justify-content: space-between;
    font-size: 15px;
    font-weight: bold;
}
.footBox {
    margin: 0px;
    width: 33%;
    display: flex;
    width: 100%;
    text-align: center;
}
.footLabel {
    border: 1px solid black;
    width: 50%;
    margin: 0px;
}
</style>
<?php
            // $first_day = date('Y-m-01');
            $newDate = date("Y-m");
            ?>
<div class="container pt-5">
  <form method="get">
    <div class="form-row align-items-center">
      <div class="col-md-4">
        <label class="sr-only" for="monthSelect">Date Range</label>
        <input type="month" name="indate" class="form-control mb-2" id="monthSelect" value="<?= $newDate ?>">
      </div>
      <div class="col-md-2">
        <button style="width: 100%;" type="submit" class="btn btn-primary mb-2">Filter</button>
      </div>
    </div>
  </form>
</div>

<div class="container pt-5">
  
  <div class="table-responsive">
    <table class="table table-striped table-bordered">
      <thead style="background-color: cornflowerblue;">
        <tr>
          <th scope="col">Driver's</th>
          <th scope="col">Rides</th>
          <th scope="col">Commission</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <?php
        $CI = &get_instance();
        $q = $CI->db->query("SELECT /* CLEANED: `date` */,/* CLEANED: `hotel_id` */,/* CLEANED: `comision` */,/* CLEANED: `driver_id` */ FROM ride_booking WHERE /* CLEANED: `hotel_id` */ IN ( SELECT /* CLEANED: `id` */ FROM hotel WHERE /* CLEANED: `group_id` */ = '$group_id' ) AND /* CLEANED: `driver_id` */ IN ( SELECT /* CLEANED: `id` */ FROM driver ) AND /* CLEANED: `date` */ >= DATE('$fdate') AND /* CLEANED: `date` */ <= DATE('$Edate') ORDER BY id DESC");
        $ride = $q->result();
        $results = array();
        foreach ($ride as $key) {
          if (!isset($results[$key->driver_id])) {
            $drivername = $CI->db->query("SELECT /* CLEANED: `drive_name` */ FROM driver WHERE /* CLEANED: `id` */ = '$key->driver_id'")->row();
            $results[$key->driver_id] = array(
              'rides_count' => 1,
              'comision' => $key->comision,
              'drive_name' => $drivername->drive_name
            );
          } else {
            $results[$key->driver_id]['rides_count']++;
            $results[$key->driver_id]['comision'] += $key->comision;
          }
        }
        arsort($results);
        $totalCommision = 0;
        $totalPaid = 0;
        $totalUnpaid = 0;
        foreach ($results as $key=>$val) {
          if (isset($_GET['indate'])) {
            $in_date = $_GET['indate'];
            $date = date($in_date);
            $year = date('Y', strtotime($date));
            $month = date('F', strtotime($date));
            $where = array('driver_id' => $key, 'month' => $month, 'year' => $year);
            $data1 = $CI->db->select('*')->where($where)->get('driver_payment')->row();
          } else {
            $date = date('Y-m-d');
            $year = date('Y', strtotime($date));
            $month = date('F', strtotime($date));
            $where = array('driver_id' => $key, 'month' => $month, 'year' => $year);
            $data1 = $CI->db->select('*')->where($where)->get('driver_payment')->row();
          }
          $color = empty($data1) ? "white" : "#56c7548f";
          $totalCommision+= $val["comision"];
          if(empty($data1)) {
              $totalPaid+= $val["comision"];
          }else {
              $totalUnpaid+= $val["comision"];
          }
          ?>
          <tr style="background-color:<?php echo $color; ?>;">
            <td><?php echo $val['drive_name']; ?></td>
            <td><?php echo $val['rides_count']; ?></td>
            <td><?php echo $val["comision"] != 0 ? '€' . $val["comision"] : '0'; ?></td>
            <td>
              <?php if (empty($data1)) { ?>
                <form method="POST">
                  <input type="hidden" name="pay" value="1">
                  <?php if (isset($in_date)) { ?>
                    <input type="hidden" id="getMonth" name="month" value="<?php echo $in_date; ?>">
                  <?php } ?>
                  <input type="hidden" id="get_driver_id" name="driver_id" value="<?php echo $key ?>">
                  <button type="button" id="confirmPay" class="btn btn-primary">Pay</button>
                </form>
              <?php } elseif (!empty($data1)) { ?>
                <form method="POST">
                  <input type="hidden" name="pay" value="1">
                  <?php if (isset($in_date)) { ?>
                    <input type="hidden" id="getMonth_un" name="month" value="<?php echo $in_date; ?>">
                  <?php } ?>
                  <input type="hidden" id="get_driver_id_un" name="driver_id" value="<?php echo $key ?>">
                  <button type="button" id="confirmPayUn" class="btn btn-danger">UnPay</button>
                </form>
              <?php } ?>
            </td>
          </tr>
        <?php } ?>
      </tbody>
    </table>
  </div>
  <div class="footHead">
      <div class="footBox">
          <label class="footLabel">Total</label>
          <label class="footLabel"><?php echo $totalCommision; ?></label>
      </div>
      <div class="footBox" style="background: #a6e0a1;">
          <label class="footLabel">Pay</label>
          <label class="footLabel"><?php echo $totalUnpaid; ?></label>
      </div>
      <div class="footBox" style="background: #f17373;">
          <label class="footLabel">UnPay</label>
          <label class="footLabel"><?php echo $totalPaid; ?></label>
      </div>
  </div>
</div>

<!-- Pay Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="myModalLabel">Confirmation Modal</h5>
        <button type="button" class="close" data-dismiss="modal" id="payHide" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
      <div class="modal-body">
        <h4>Are you sure?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" id="payHide">No</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" id="confirmPayment">Yes</button>
      </div>
    </div>
  </div>
</div>

<!-- Unpay Modal -->
<div class="modal fade" id="myModalUn" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="myModalLabel">Confirmation Modal</h5>
        <button type="button" class="close" id="unPayHide" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
      <div class="modal-body">
        <h4>Are you sure?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" id="unPayHide">No</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" id="confirmPaymentUn">Yes</button>
      </div>
    </div>
  </div>
</div>
<style>
  .modal-title {
    width: 100%;
    text-align: center;
  }
</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script type="text/javascript">
  let monthControl = document.querySelector('input[type="month"]');
  <?php if (isset($_GET['indate'])) { ?>
  monthControl.value = "<?= $_GET['indate'] ?>";
  <?php } else { ?>
    monthControl.value = /* CLEANED: `${year}-${month}` */;
  <?php } ?>
  let monthSelected = document.getElementById('monthSelect').value.split('-')[1];
  console.log("indate = " + monthSelected);
  let greecMonth = ["Ιανουάριος", "Φεβρουάριος", "Μάρτιος", "Απρίλιος", "Μάιος", "Ιούνιος", "Ιούλιος", "Αύγουστος", "Σεπτέμβριος", "Οκτώβριος", "Νοέμβριος", "Δεκέμβριος"];
  <?php if (isset($_GET['indate'])) { ?>
  document.getElementById('resultTxt').innerHTML = "Result of " + greecMonth[parseInt(monthSelected) - 1];
  <?php } else { ?>
    document.getElementById('resultTxt').innerHTML = "Result of " + greecMonth[date.getMonth()];
  <?php } ?>
</script>
<script type="text/javascript">
  $(document).on('click', '#confirmPay', function() {
    $(this).addClass('payNow');
    $("#myModal").modal('show');
  });
  $(document).on('click', '#payHide', function() {
    $(".payNow").removeClass('payNow');
  });

  $(document).on('click', '#confirmPayment', function() {
    var siteUrl = '<?= $ajax_url ?>';
    var monthGet = $(".payNow").closest("td").find('#getMonth').val();
    var get_driver_id = $(".payNow").closest('td').find("#get_driver_id").val();
    $.ajax({
      url: siteUrl,
      type: 'POST',
      data: {
        month: monthGet,
        get_driver_id: get_driver_id
      },
      dataType: 'json',
      success: function(response) {
        $('.payNow').closest('tr').css('background-color', '#56c7548f');
        $(".payNow").closest('td').html('<button type="button" id="confirmPayUn" class="btn btn-danger">Un Pay</button><input type="hidden" id="getMonth_un" name="month" value="' + monthGet + '"><input type="hidden" id="get_driver_id_un" name="driver_id" value="' + get_driver_id + '">');
        $(".payNow").remove();
        $('#confirmPay').removeClass('payNow');
      },
      error: function(xhr, status, error) {
        $('#ajaxResponse').text('Error: ' + error);
      }
    });
  });

  $(document).on('click', '#confirmPayUn', function() {
    $(this).addClass('unpayNow');
    $("#myModalUn").modal('show');
  });
  $(document).on('click', '#unPayHide', function() {
    $(".unpayNow").removeClass('unpayNow');
  });
  $(document).on('click', '#confirmPaymentUn', function() {
    var siteUrl = '<?= $ajax_urlUn ?>';
    var monthGet = $('.unpayNow').closest('tr').find("#getMonth_un").val();
    var get_driver_id = $('.unpayNow').closest('tr').find("#get_driver_id_un").val();
    $.ajax({
      url: siteUrl,
      type: 'POST',
      data: {
        month: monthGet,
        driver_id: get_driver_id
      },
      dataType: 'json',
      success: function(response) {
        $('.unpayNow').closest('tr').css('background-color', '#fff');
        $(".unpayNow").closest('tr').find('td').eq($(this).closest('td').index()).html(
          '<button type="button" id="confirmPay" class="btn btn-primary">Pay</button><input type="hidden" id="getMonth" name="month" value="' + monthGet + '"><input type="hidden" id="get_driver_id" name="driver_id" value="' + get_driver_id + '">'
        );
        $(".unpayNow").remove();
      },
      error: function(xhr, status, error) {
        $('#ajaxResponse').text('Error: ' + error);
      }
    });
  });

  $(document).ready(function() {
    $('.table tr td').each(function() {
      if ($(this).text().trim() === '0')
        $(this).parent().remove();
    });
    setTimeout(function() {
      $('.table tr td').each(function() {
        if ($(this).text().trim() === '0')
          $(this).parent().remove();
      });
    }, 2000);
  });
</script>
